PROBE::NFS.PROC.(3stap)

NAME
probe::nfs.proc.commit - NFS client committing data on server

SYNOPSIS

nfs.proc.commit

VALUES

bitmask1
    V4 bitmask representing the set of attributes supported on this filesystem

bitmask0
    V4 bitmask representing the set of attributes supported on this filesystem

version
    NFS version

offset
    the file offset

prot
    transfer protocol

server_ip
    IP address of server

size
    read bytes in this execution

DESCRIPTION

All the nfs.proc.commit kernel functions were removed in kernel commit 200baa in December 2006, so these probes do not exist on Linux 2.6.21 and newer kernels.

Fires when client writes the buffered data to disk. The buffered data is asynchronously written by client earlier. The commit function works in sync way. This probe point does not exist in NFSv2.

SEE ALSO
tapset::nfs_proc(3stap)